Name:           dumpasn1
Version:        20120501
Release:        1%{?dist}
Summary:        ASN.1 object dump utility

Group:          Development/Tools
License:        Copyright only
#   You can use this code in whatever way you want, as long as you don't try
#   to claim you wrote it.
URL:            http://www.cs.auckland.ac.nz/~pgut001/
Source0:        http://www.cs.auckland.ac.nz/~pgut001/dumpasn1.c
Source1:        http://www.cs.auckland.ac.nz/~pgut001/dumpasn1.cfg
# man page extracted from http://ftp.debian.org/debian/pool/main/d/dumpasn1/dumpasn1_20030222-1.diff.gz
Source2:        dumpasn1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  sed >= 3.95

%description
dumpasn1 is an ASN.1 object dump program that will dump data encoded
using any of the ASN.1 encoding rules in a variety of user-specified
formats.


%prep
%setup -q -c -T
install -pm 644 %{SOURCE0} %{SOURCE1} %{SOURCE2} .

sed -i -e 's|/etc/dumpasn1/|%{_sysconfdir}/dumpasn1/|' dumpasn1.{c,1}

%build
# -std=c99 for fwide
%{__cc} $RPM_OPT_FLAGS -std=c99 -DDEBIAN -o dumpasn1 dumpasn1.c

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 dumpasn1 $RPM_BUILD_ROOT%{_bindir}/dumpasn1
install -Dpm 644 dumpasn1.cfg \
    $RPM_BUILD_ROOT%{_sysconfdir}/dumpasn1/dumpasn1.cfg
install -Dpm 644 dumpasn1.1 $RPM_BUILD_ROOT%{_mandir}/man1/dumpasn1.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/dumpasn1/
%{_bindir}/dumpasn1
%{_mandir}/man1/dumpasn1.1*


%changelog
* Thu May 17 2012 F. Kooman <fkooman@tuxed.net> - 20120501-1
- update dumpasn1 to 20120501 (May 14 2012 16:32), update config to 
  new version of 20110201 (May 14 2012 16:31)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101112-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101112-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 F. Kooman <fkooman@tuxed.net> - 20101112-1
- update to 20101112 (dumpasn1) and 20110201 (dumpasn1.cfg) 

* Fri Aug 20 2010 Adam Tkac <atkac redhat com> - 20100318-2
- rebuild to ensure F14 has higher NVR than F13

* Fri Jun 11 2010 François Kooman <fkooman@tuxed.net> - 20100318-1
- new upstream version
- restore patch to fix undefined BYTE

* Sat May 8 2010  François Kooman <fkooman@tuxed.net> - 20090721-2
- upstream updated source files in place at 20100312 without
  updating version mentioned in the files themselves

* Sun Sep 13 2009 François Kooman <fkooman@tuxed.net> - 20090721-1
- update to upstream version 20090721

* Tue Aug 11 2009 François Kooman <fkooman@tuxed.net> - 20090318-4
- upstream changed source file in place, update
- remove patch which is no longer required

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090318-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 François Kooman <fkooman@tuxed.net> - 20090318-2
- cfg file already has unix line endings
- create patch instead of using sed to replace BYTE with char
 
* Thu Jul 16 2009 François Kooman <fkooman@tuxed.net> - 20090318-1
- Update to 20090318 and config to 20090531

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090107-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Ville Skyttä <ville.skytta at iki.fi> - 20090107-1
- Update to 20090107 and config to 20090125.

* Sat Aug  2 2008 Ville Skyttä <ville.skytta at iki.fi> - 20080414-2
- Update to 20080708 updated sources (upstream version unchanged).
- Drop Debian patchset, just include man page from it separately.

* Fri May  2 2008 Ville Skyttä <ville.skytta at iki.fi> - 20080414-1
- Update to 20080414.

* Sun Mar 30 2008 Ville Skyttä <ville.skytta at iki.fi> - 20080204-2
- Fix implicit function declarations.
- Update dumpasn1.cfg to 20080323.

* Sat Feb  9 2008 Ville Skyttä <ville.skytta at iki.fi> - 20080204-1
- 20080204.

* Thu Aug 16 2007 Ville Skyttä <ville.skytta at iki.fi> - 20060622-3
- License: Copyright only

* Thu Feb  8 2007 Ville Skyttä <ville.skytta at iki.fi> - 20060622-2
- Update dumpasn1.cfg to 20070127.

* Tue Aug 22 2006 Ville Skyttä <ville.skytta at iki.fi> - 20060622-1
- Update to 20060622.

* Thu Feb 16 2006 Ville Skyttä <ville.skytta at iki.fi> - 20050404-2
- Rebuild.

* Mon Aug 15 2005 Ville Skyttä <ville.skytta at iki.fi> - 20050404-1
- Use macros more consistently (#165497).

* Tue Aug  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 20050404-0.1
- Update to 20050404.

* Sun May 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 20030222-0.1
- Rebuild for FC4.

* Mon Aug 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:20030222-0.fdr.1
- First build, based on Debian package.
